net.sf.saxon.event

## Class NoOpenStartTagException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.xml.transform.TransformerException
      - - net.sf.saxon.trans.XPathException
        - - net.sf.saxon.event.NoOpenStartTagException

- All Implemented Interfaces:
    Serializable

      public class NoOpenStartTagException
      extends XPathException

  Exception indicating that an attribute or namespace node has been written when there is no open element to write it to
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.saxon.trans.XPathException

      `XPathException.Circularity`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoOpenStartTagException(String message)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NoOpenStartTagException` | `makeNoOpenStartTagException(int nodeKind, String name, int hostLanguage, boolean parentIsDocument, boolean isSerializing, LocationProvider locationProvider, int startElementLocationId)` Static factory method to create the exception

    - ### Methods inherited from class net.sf.saxon.trans.XPathException

      `getAdditionalLocationText, getErrorCodeLocalPart, getErrorCodeNamespace, getErrorCodeQName, getErrorObject, getXPathContext, hasBeenReported, isGlobalError, isReportableStatically, isStaticError, isTypeError, makeStatic, makeXPathException, maybeSetContext, maybeSetErrorCode, maybeSetLocation, setAdditionalLocationText, setErrorCode, setErrorCodeQName, setErrorObject, setHasBeenReported, setIsGlobalError, setIsStaticError, setIsTypeError, setXPathContext`

    - ### Methods inherited from class javax.xml.transform.TransformerException

      `getCause, getException, getLocationAsString, getLocator, getMessageAndLocation, initCause, printStackTrace, printStackTrace, printStackTrace, setLocator`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoOpenStartTagException

          public NoOpenStartTagException(String message)

  - ### Method Detail

    - #### makeNoOpenStartTagException

          public static NoOpenStartTagException makeNoOpenStartTagException(int nodeKind,
                                                            String name,
                                                            int hostLanguage,
                                                            boolean parentIsDocument,
                                                            boolean isSerializing,
                                                            LocationProvider locationProvider,
                                                            int startElementLocationId)

      Static factory method to create the exception
      Parameters:
        `nodeKind` - the kind of node being created (attribute or namespace)
        `name` - the name of the node being created
        `hostLanguage` - XSLT or XQuery (error codes are different in the two cases)
        `parentIsDocument` - true if the nodes are being added to a document node (rather than an element)
        `isSerializing` - true if the document is being created in the process of serialization
        `locationProvider` - Object to provide location information for diagnostics
        `startElementLocationId` - integer that can be passed to the location provider to get the location of the offending instruction that created the element node
      Returns:
        the constructed exception object

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.